<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_banners
 *
 * @copyright   Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

/**
 * Helper for mod_banners
 *
 * @package     Joomla.Site
 * @subpackage  mod_banners
 * @since       1.5
 */
class ModJSScrollMatchesHelper
{
	/**
	 * Retrieve list of banners
	 *
	 * @param   \Joomla\Registry\Registry  &$params  module parameters
	 *
	 * @return  mixed
	 */
	public static function &getList(&$params)
	{
            $match_count 	= $params->get( 'match_count' );
            $matchtype = $params->get( 'matchtype' );
            $ssss_id = $params->get( 'sidgid' );
            $sort_order = $params->get( 'sort_order' );
            $daterange = $params->get( 'drange' );
            
            if($ssss_id == '0'){
                    $s_id=0;
                    $gr_id=0;
            }else{
                    $ex = explode('|',$ssss_id );
                    $s_id = intval($ex[0]);
                    $gr_id = intval($ex[1]);
            }
            
            if($params->get('enbl_onflyseason')){
                if(isset($_REQUEST['sid']) && intval($_REQUEST['sid'])){
                    $s_id = intval($_REQUEST['sid']);
                    $gr_id = 0;
                }
                if(isset($_REQUEST['gr_id']) && intval($_REQUEST['gr_id'])){
                    $gr_id = intval($_REQUEST['gr_id']);
                }
            }
            
            $team_id = $params->get( 'team_id' );
              
            $options = array();
            $is_single = 0;
            if($s_id){
                $options["season_id"] = $s_id;
                $obj = new classJsportSeason($s_id);

                $is_single = (int)$obj->getSingle();

                
            }
            $sortway = $sort_order == 2 ? 'DESC' : 'ASC';
            $options["ordering"] = 'm.m_date '.$sortway.', m.m_time '.$sortway.', m.id '.$sortway;
            
            if($gr_id){
                $options["group_id"] = $gr_id;
            }

            if($team_id){
                $options["team_id"] = $team_id;
            }
            
            if($match_count){
                $options["limit"] = $match_count;
            }
            if($matchtype == '1'){
                $options["played"] = '0';
            }
            if($matchtype == '2'){
                $options["played"] = '1';                
            }
            
            if(is_object($daterange)){
                if(isset($daterange->past) && $daterange->past > 0){
                    $options['date_from'] = date("Y-m-d", strtotime("-{$daterange->past} day"));
                }elseif(isset($daterange->today) && $daterange->today > 0){
                    $options['date_from'] = date("Y-m-d");
                }
                if(isset($daterange->future) && $daterange->future > 0){
                    $options['date_to'] = date("Y-m-d", strtotime("+{$daterange->future} day"));
                }elseif(isset($daterange->today) && $daterange->today > 0){
                    $options['date_to'] = date("Y-m-d");
                }
                
                if(isset($options['date_to']) && !isset($options['date_from'])){
                    $options['date_from'] = date("Y-m-d", strtotime("+1 day"));
                }
                if(!isset($options['date_to']) && isset($options['date_from'])){
                    $options['date_to'] = date("Y-m-d", strtotime("-1 day"));
                }
                
                if(isset($options['date_to']) && isset($options['date_from']) && (!isset($daterange->today) || intval($daterange->today) == 0)){
                    $options['date_exclude'] = date("Y-m-d");
                }
                
            }
            
            
            $obj = new classJsportMatches($options);
            $rows = $obj->getMatchList($is_single);


            $matches = array();

            if($rows['list']){
                foreach ($rows['list'] as $row) {
                    $match = new classJsportMatch($row->id, false);
                    $matches[] = $match->getRowSimple();
                }
            }

            return $matches;
            
	}
        public static function getStartedIndex($matches){
            $date = date("Y-m-d");
            for($intA = 0;$intA < count($matches); $intA++){

                if($matches[$intA]->object->m_date > $date){
                    return  $intA;
                }
            }
            return $intA;
        }
}
